---
title: "Books"
description: "List of books I've read, what I plan to read, and what I'm reading at the moment"
cover: /assets/pngs/books.png
date: 2020-02-24T20:15:47-04:00
toc: true
layout: generic
---

I recently got a [Kobo Aura ONE](https://us.kobobooks.com/products/kobo-aura-one-limited-edition) and started reading a _lot_ more. This page is meant to be a record of what I've already read, what I plan to read, and what I'm on at the moment. The categories are in alphabetical order but that's the only organisation there is in the _[Will read](#will-read "wikilink")_ section; the others will be a bit more orderly.

All of the book links are to Wikipedia pages with*out* the language prefix so it should redirect to whatever locale you have set. Unfortunately, some of the books don't have dedicated pages; in those instances, I've used one of Wikipedia's features to prefill the ISBN search bar so you can view them using the database of your choice, whether that's [Open Library](https://openlibrary.org), [WorldCat](https://www.worldcat.org/), Amazon, etc. (but please [don't use Amazon.](https://stallman.org/amazon.html))

If you have any suggestions, feel free to send me a message somewhere!

## Currently reading

| Book                                                                              | Author             | Date          |
| --------------------------------------------------------------------------------- | ------------------ | ------------- |
| [The Endless Knot](https://wikipedia.org/wiki/Song_of_Albion#The_Endless_Knot)    | Stephen R. Lawhead | 07 Mar 2020   |
| [Permanent Record](<https://wikipedia.org/wiki/Permanent_Record_(autobiography)>) | Edward Snowden     | November 2019 |

## Will read

### Fantasy

| Book                                                                                            | Author            |
| ----------------------------------------------------------------------------------------------- | ----------------- |
| [Shannara](https://wikipedia.org/wiki/Shannara)                                                 | Terry Brooks      |
| [The Witcher](https://wikipedia.org/wiki/The_Witcher)                                           | Andrzej Sapkowski |
| [Earthsea](https://wikipedia.org/wiki/Earthsea)                                                 | Ursula K. Le Guin |
| [The Kingkiller Chronicles](https://wikipedia.org/wiki/The_Kingkiller_Chronicle)                | Patrick Rothfuss  |
| [Halo novels](https://halo.fandom.com/wiki/Halo_Novels)                                         | Various           |
| [The Horus Heresy](https://wikipedia.org/wiki/List_of_Warhammer_40,000_novels#The_Horus_Heresy) | Various           |

#### Zamonia

| Book                                                                                                                        | Author       |
| --------------------------------------------------------------------------------------------------------------------------- | ------------ |
| [The City of Dreaming Books](https://wikipedia.org/wiki/The_City_of_Dreaming_Books)                                         | Walter Moers |
| [The Alchemaster's Apprentice](https://wikipedia.org/wiki/The_Alchemaster%27s_Apprentice)                                   | Walter Moers |
| [The Labyrinth of Dreaming Books](https://en.wikipedia.org/wiki/The_City_of_Dreaming_Books#The_Labyrinth_of_Dreaming_Books) | Walter Moers |

#### Forgotten Realms

| Book                                                                          | Author                            |
| ----------------------------------------------------------------------------- | --------------------------------- |
| [The Legend of Drizzt](https://wikipedia.org/wiki/The_Legend_of_Drizzt)       | R. A. Salvatore                   |
| [The Elminster Series](https://wikipedia.org/wiki/The_Elminster_Series)       | Ed Greenwood                      |
| [War of the Spider Queen](https://wikipedia.org/wiki/War_of_the_Spider_Queen) | Various with Salvatore overseeing |

#### Dystopian

| Book                                                                        | Author       |
| --------------------------------------------------------------------------- | ------------ |
| [Anthem](<https://wikipedia.org/wiki/Anthem_(novella)>)                     | Ayn Rand     |
| [Atlas Shrugged](https://wikipedia.org/wiki/Atlas_Shrugged)                 | Ayn Rand     |
| [Robert Langdon](<https://wikipedia.org/wiki/Robert_Langdon_(book_series)>) | Dan Brown    |
| [Fahrenheit 451](https://wikipedia.org/wiki/Fahrenheit_451)                 | Ray Bradbury |

### OSINT (offense & defense)

OSINT stands for [Open Source Intelligence](https://en.wikipedia.org/wiki/Open-source_intelligence) and deals with gathering information from public sources. This can include social media profiles, email addresses, passwords, usernames, etc. obtained through a public database dump, what you can find out from talking to an individual directly, etc. There are many reasons to have a working knowledge of OSINT methods but the main one, for me, is defense. While reading books on how to keep your information private is good and all, the best resources are on investigating _other_ people; by knowing how to find information about others, you also have a better understanding of how to keep _your_ information safe.

| Book                                                                                                             | Author                             |
| ---------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| [Extreme Privacy](https://inteltechniques.com/book7.html)                                                        | Michael Bazzell                    |
| [Open Source Intelligence](https://inteltechniques.com/book1.html)                                               | Michael Bazzell                    |
| [Social Engineering: The Science of Human Hacking](https://wikipedia.org/wiki/Special:BookSources/9781119433385) | Christopher Hadnagy                |
| [How to Find Out Anything](https://wikipedia.org/wiki/Special:BookSources/9780735204676)                         | Don Macleod                        |
| [The Art of Invisibility](https://wikipedia.org/wiki/Special:BookSources/9780316380492)                          | Kevin Mitnick, Ray Porter, et. al. |
| [200+ Ways to Protect Your Privacy](https://wikipedia.org/wiki/Special:BookSources/9781721400126)                | Jeni Rogers                        |
| [PGP & GPG: Email for the Practical Paranoid](https://wikipedia.org/wiki/Special:BookSources/9781593270711)      | Michael Lucas                      |

### Privacy

| Book                                                                                                                                    | Author                                   |
| --------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------- |
| [Nineteen Eighty-Four](https://wikipedia.org/wiki/Nineteen_Eighty-Four)                                                                 | George Orwell                            |
| [Does State Spying Make Us Safer?](https://wikipedia.org/wiki/Special:BookSources/9781770898424)                                        | Edward Snowden, Glenn Greenwald, et. al. |
| [Little Brother](https://craphound.com/littlebrother/)                                                                                  | Cory Doctorow                            |
| [Surveillance Valley](https://surveillancevalley.com/)                                                                                  | Yasha Levine                             |
| [No Place to Hide: Edward Snowden, the NSA, and the Surveillance State](<https://wikipedia.org/wiki/No_Place_to_Hide_(Greenwald_book)>) | Glenn Greenwald                          |

### Science Fiction

| Book                                                                                                             | Author          |
| ---------------------------------------------------------------------------------------------------------------- | --------------- |
| [Flatland](https://wikipedia.org/wiki/Flatland)                                                                  | _A Square_      |
| [Macroscope](<https://wikipedia.org/wiki/Macroscope_(novel)>)                                                    | Piers Anthony   |
| [Dune](<https://wikipedia.org/wiki/Dune_(novel)>)                                                                | Frank Herbert   |
| [The Hitchhiker's Guide to the Galaxy (series)](https://wikipedia.org/wiki/The_Hitchhiker's_Guide_to_the_Galaxy) | Douglas Adams   |
| [The Martian](<https://wikipedia.org/wiki/The_Martian_(Weir_novel)>)                                             | Andy Weir       |
| [The Three Body Problem](<https://wikipedia.org/wiki/The_Three-Body_Problem_(novel)>)                            | Liu Cixin       |
| [Agency](<https://wikipedia.org/wiki/Agency_(novel)>)                                                            | William Gibson  |
| [Seveneves](https://wikipedia.org/wiki/Seveneves)                                                                | Neal Stephenson |

### Technology

| Book                                                                                    | Author          |
| --------------------------------------------------------------------------------------- | --------------- |
| [Autonomous](https://wikipedia.org/wiki/Special:BookSources/9780765392077)              | Annalee Newitz  |
| [Neuromancer](https://wikipedia.org/wiki/Neuromancer)                                   | William Gibson  |
| [Hackers & Painters](https://wikipedia.org/wiki/Hackers_%26_Painters)                   | Paul Graham     |
| [The Cathedral and the Bazaar](https://wikipedia.org/wiki/The_Cathedral_and_the_Bazaar) | Eric S. Raymond |
| [Cryptonomicon](https://wikipedia.org/wiki/Cryptonomicon)                               | Neal Stephenson |

### Miscellaneous

| Book                                                                                                              | Author          |
| ----------------------------------------------------------------------------------------------------------------- | --------------- |
| [The Count of Monte Cristo](https://wikipedia.org/wiki/The_Count_of_Monte_Cristo)                                 | Alexandre Dumas |
| [Zen and the Art of Motorcycle Maintenance](https://wikipedia.org/wiki/Zen_and_the_Art_of_Motorcycle_Maintenance) | Robert Pirsig   |
| [The Art of War](https://wikipedia.org/wiki/The_Art_of_War)                                                       | Sun Tzu         |
| [Who Rules The World?](https://wikipedia.org/wiki/Special:BookSources/9781627793810)                              | Noam Chomsky    |

## Have read

---

This is by _far_ not a complete list; I have read more books than I can possibly remember. This is simply a list of either ones I've read since I started again or the first ones that come to mind when thinking back to when I was younger.

### Fantasy

| Book                                                                                                   | Author              | Date        |
| ------------------------------------------------------------------------------------------------------ | ------------------- | ----------- |
| [The Silver Hand](https://wikipedia.org/wiki/Song_of_Albion#The_Silver_Hand)                           | Stephen R. Lawhead  | 07 Mar 2020 |
| [The Paradise War](https://wikipedia.org/wiki/Song_of_Albion#The_Paradise_War)                         | Stephen R. Lawhead  | 14 Feb 2020 |
| [The Pendragon Cycle](https://wikipedia.org/wiki/The_Pendragon_Cycle)                                  | Stephen R. Lawhead  |             |
| [The 13½ Lives of Captain Bluebear](https://wikipedia.org/wiki/The_13%C2%BD_Lives_of_Captain_Bluebear) | Walter Moers        |             |
| [Fablehaven](https://wikipedia.org/wiki/Fablehaven)                                                    | Brandon Mull        |             |
| [Septimus Heap](https://wikipedia.org/wiki/Septimus_Heap)                                              | Angie Sage          |             |
| [Percy Jackson & the Olympians](https://wikipedia.org/wiki/Percy_Jackson_%26_the_Olympians)            | Rick Riordan        |             |
| [The Heroes of Olympus](https://wikipedia.org/wiki/The_Heroes_of_Olympus)                              | Rick Riordan        |             |
| [The Kane Chronicles](https://wikipedia.org/wiki/The_Kane_Chronicles)                                  | Rick Riordan        |             |
| [Redwall](https://wikipedia.org/wiki/Redwall)                                                          | Brian Jacques       |             |
| [The Wardstone Chronicles](https://wikipedia.org/wiki/The_Wardstone_Chronicles)                        | Joseph Delaney      |             |
| [The Avatar Chronicles](<https://wikipedia.org/wiki/Epic_(Kostick_novel)>)                             | Conor Kostick       |             |
| [Brave Story](https://wikipedia.org/wiki/Brave_Story)                                                  | Miyuki Miyabe       |             |
| [The Inheritance Cycle](https://wikipedia.org/wiki/The_Inheritance_Cycle)                              | Christopher Paolini |             |
| [Ender's Game](https://wikipedia.org/wiki/Ender's_Game)                                                | Orson Scott Card    |             |
| [The Sword of Shannara](https://wikipedia.org/wiki/The_Sword_of_Shannara_Trilogy)                      | Terry Brooks        |             |

## Recommendations

These are books and series I have read and highly recommend. I will likely only list one series per author but I encourage you to look more into them and read more of their work. The first few are ranked in order of favouritism but, after that, there is no particular method to my madness.

### Fantasy

| Book                                                                         | Author             |
| ---------------------------------------------------------------------------- | ------------------ |
| [The Pendragon Cycle](https://wikipedia.org/wiki/The_Pendragon_Cycle#Novels) | Stephen R. Lawhead |
| [The Lord of the Rings](https://wikipedia.org/wiki/The_Lord_of_the_Rings)    | J. R. R. Tolkien   |
| [The Zamonia Series](https://wikipedia.org/wiki/Walter_Moers#Zamonia_series) | Walter Moers       |
| [Shannara](https://wikipedia.org/wiki/Shannara)                              | Terry Brooks       |
| [The Avatar Chronicles](<https://wikipedia.org/wiki/Epic_(Kostick_novel)>)   | Conor Kostick      |

### Privacy

| Book                                                               | Author          |
| ------------------------------------------------------------------ | --------------- |
| [Extreme Privacy](https://inteltechniques.com/book7.html)          | Michael Bazzell |
| [Open Source Intelligence](https://inteltechniques.com/book1.html) | Michael Bazzell |

## Academic reading

My end career goal is to be a university professor. A PhD is all but _required_ to teach at a university and obtaining one will be a rigorous endeavour. One of the requirements for that will be reading and writing a lot of academic papers. In addition to the normal books above, I'm going to keep a record of the academic works I've consumed, possibly with some blog posts and notes on them; we'll see where that goes though :wink:

### Currently reading

| Paper                                                                                                | Author                               |
| ---------------------------------------------------------------------------------------------------- | ------------------------------------ |
| [Business Intelligence and Analytics: From Big Data to Big Impact](https://doi.org/10.2307/41703503) | Hsinchun Chen, Roger Chiang, et. al. |

### Read

### Will read

| Paper                                                                                                                                                | Author                                                                    |
| ---------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------- |
| [Protecting TOR exit nodes from abuse](https://wikipedia.org/wiki/Special:BookSources/9789532330502)                                                 | Stjepan Groš, Marko Salkić, et. al.                                       |
| [Improving the Tor traffic distribution with circuit switching method](https://doi.org/10.1109/HPSR.2016.7525647)                                    | Timothy Girry Kale, et. al.                                               |
| [Application of Neural Networks and Friedman Test for User Identification in Tor Networks](https://doi.org/10.1109/BWCCA.2015.88)                    | Taro Ishitaki, Tetsuya Oda, et. al.                                       |
| [Deanonymizing schemes of hidden services in tor network: A survey](https://doi.org/10.1109/ICOIN.2015.7057949)                                      | Sabita Nepal, Saurav Dahal, et. al.                                       |
| [A hierarchical classification approach for tor anonymous traffic](https://doi.org/10.1109/ICCSN.2017.8230113)                                       | Jia Lingyu, Liu Yang, et. al.                                             |
| [Tor Network Limits](https://doi.org/10.1109/NCIS.2011.48)                                                                                           | Souad Benmeziane, Nadjib Badache, et. al.                                 |
| [Large scale port scanning through tor using parallel Nmap scans to scan large portions of the IPv4 range](https://doi.org/10.1109/ISI.2017.8004906) | Rodney R Rohrmann & Vincent J Ercolani                                    |
| [Web-based collaborative big data analytics on big data as a service platform](https://doi.org/10.1109/ICACT.2015.7224859)                           | Kyounghyun Park, Minh Nguyen, & Heesun Won                                |
| [Using Big Data for Profiling Heavy Users in Top Video Apps](https://doi.org/10.1109/BigDataCongress.2015.63)                                        | Chieh-Hsin Liao, Yu-Heng Lei, Kai-Yu Liou, Jian-Shing Lin, Hsiao-Feng Yeh |
