---
title: "On smoking a pipe"
description: Why I started smoking a pipe, what my first experience was like, and why I continue to
author: Amolith
date: 2020-04-05T21:38:07-04:00
draft: false
cover: /assets/pngs/pipe.png
categories:
  - Pipe Smoking
tags:
  - Personal
  - Missouri Meerschaum
  - Indian Summer
  - Lord of the Rings
---

The Lord of the Rings is one the greatest book series I have ever read
as well as one of my favourite movie trilogies; when I was younger, I
watched them so often that I knew *almost* exactly where all the scenes
were in the timeline and could quote a fair few of the lines verbatim :wink:
Pipe smoking was very prominent throughout, from the hobbits to the
humans to the dwarves, and I was always intrigued by it. In my second
year of high school/college,[^1] I took a public speaking course and
decided to do my persuasive speech on the topic; my purpose was not to
convince people *to* smoke a pipe, rather that they shouldn't judge pipe
smokers as harshly. In conducting my research, I ended up wanting to try
it for myself.

Another influence was likely my grandfather. I don't remember it
*particularly* well other than a few scattered images here and there but
I do know he smoked everything from cigarettes to cigars, cigarillos,
and pipes. A few days ago, my grandmother commented on my pipe stand and
said he had had one very similar before his stroke.[^2]

Shortly after my 18th birthday, I ordered [my first corn cob
pipe](https://corncobpipe.com/missouri-pride-corncob-pipe.html) from
[Missouri Meerschaum](https://corncobpipe.com/) and ended up falling in
love. I went to my local tobacconist and asked what he recommended for
someone who was just getting into it. He suggested two blends I think
they created in-house; one was an aromatic[^3] called *Indian Summer*
and the other was an English[^3] which I've forgotten the name of.

The first one I tried was Indian Summer as people typically start with
an aromatic. It's sort of like drinking beer before brandy (I've never
had brandy so I don't know what it actually tastes like); the former is
palatable to most while the latter is an acquired taste. The flavour was
a little odd but I enjoyed it nonetheless. The English on the other hand
. . . suffice it to say[^4] that my palate hadn't (and still hasn't)
developed that far. When I open the jar, my nose is assaulted with a
smell reminiscent of burning rubber; it's very sharp and acrid. Other
than smelling it and promptly deciding to leave it for another day, that
blend has stayed in the same jar since I made the purchase.

The pipe I started with, the [Missouri
Pride,](https://corncobpipe.com/missouri-pride-corncob-pipe.html) is one
that pretty much every podcast, blog post, and tutorial recommends.
There's no reason to pay over $100 for an artisan pipe when you can get
a feel for the hobby spending less than $15 including tobacco, tamper,
and pipe cleaners. It wasn't a *stellar* experience but I would
certainly recommend it to anyone that's curious; corn cob pipes are the
best way to see if you'll enjoy the activity. In addition, many pipe
smokers still buy cobs because of their low price. You can take one out
with you and, if you drop and break it, you're really not out that much.
My [Emerald](https://corncobpipe.com/the-emerald-corn-cob-pipe) is
supposed to get here sometime tomorrow (I know that website is down at
the moment; I'll edit this and add a picture or two once the pipe
arrives).

One of my favourite aspects of smoking a pipe is the "ritual" associated
with it. You pick which pipe you're in the mood for, select the tobacco,
go through the stages of packing the bowl, striking the "false
light",[^5] letting it go out, tamping it down again, striking the "true
light", and then, finally, sitting back to enjoy the flavour whilst
reading a good book. It's one of the most relaxing hobbies I've ever
had. Another aspect I appreciate is the *rich* history and tradition
associated with pipe smoking. I may discuss this further in another post
but, for now, I'll say that tradition and history are *incredibly*
important to me.[^6]

[^1]: I attended an Early College; I was taking college courses *instead
    of* some high school courses yet getting credit for both. I ended up
    going to high school for five years and coming out with three
    Associate Degrees.
[^2]: When I was 7 or 8, he had a severe stroke due to a blood clot
    likely caused by how often he smoked. He spent the next 9 years
    paralysed on his left side and wheelchair-bound.
[^3]: You can read about the different styles and flavours of pipe
    tobacco at the [Pipedia](https://pipedia.org/wiki/Pipe_Tobaccos), a
    fantastic resource on pipe smoking.
[^4]:
    [Dictionary.com](https://www.dictionary.com/browse/suffice-it-to-say):
    "It is enough to say this and no more, as in *Suffice it to say that
    the judge was furious when the invitation was withdrawn.*"
[^5]: When you're lighting a pipe, you first put the flame to the
    tobacco and move it around the bowl trying to evenly "toast" it, all
    the while drawing the flame down further by sucking as you would on
    a straw (*not* inhaling). After doing this for 15-20 seconds, you
    stop and let the flame die. The tobacco will fluff up from the heat
    (like when lighting any other fire with tinder) so you tamp it back
    down. The next time you light it, it will stay lit. This is the
    "true light".
[^6]: Because this is my blog and I don't have to conform to any
    academic standards, I'm ending it here. Goodbye and thanks for
    reading :grin:
