---
title: "Pull vs push: intentional notifications"
date: 2023-03-16T17:20:32-04:00
draft: true
toc: true
---

Some kind of intro here

## Pushed-based

Modern internet services heavily rely on push-based systems. YouTubers used to
say "smash like and subscribe!" at the end of videos because they wanted you to
get a _push_ notification when they publish a new video. When YouTube stopped
sending notifications for subscriptions and added the bell, YouTubers started
saying "smash like, subscribe, and hit that bell!" instead. Free Android games
often ask for permission to send notifications because they want to periodically
remind you that "hey!! you downloaded me! don't forget about me! come play me,
run out of energy, get annoyed, then buy some extra energy with your hard-earned
money! also, pay a bit more and remove the ads while you're at it! 😃"

E-commerce platforms often ask you to subscribe to their newsletter in exchange
for a small discount on your next purchase because they want to _push_ their
marketing to your inbox. Some news websites serve massive popups asking you to
subscribe to their newsletters so they can, again, _push_ their new content in
front of your face. In some cases, this tactic may be perfectly benign; there
are some individuals and companies with newsletters that might be genuinely
interesting and they just want to let you know that the newsletter exists in
case you want to subscribe. But they still result in content being _pushed_ in
front of their subscriber's faces.

Similarly, instant messaging is all about push notifications. It's in the name:
_instant_. When someone sends you a message, you usually want to know
immediately; maybe it's a family emergency, maybe your food delivery person just
arrived, maybe the sky is falling, etc. Those are all situations where you
genuinely do want notifications pushed in front of your face. But think about
while you're at work. Do you really need to know that there's no more coffee in
the lounge when you're waist-deep in a big code refactor and having to mentally
juggle variables and signatures and business logic and overarching structu— look
at this funny meme!

Ah shit. Where was `x` set again? _Does_ this function duplicate the logic of
that other function 83 lines above? You've lost your train of thought and it's
going to take you about 30 minutes to get it back.[^1]

Maybe you're spending time with your family but that new hire keeps asking for
help with this snippet of code they can't figure out. You genuinely want to help
them, but time with family is incredibly valuable. It can wait until tomorrow.

There's a time and place for push notifications. Intentionally setting
boundaries and being thoughtful with your time is important.

## Pull-based



## Some suggestions

Make heavy and extensive use of Do Not Disturb rules on as many platforms as
possible; on mobile devices, it's often possible to automatically enable DND
during calendar events as well as enable it while you sleep. Mark yourself as
unavailable in Slack (or Teams or XMPP or \_\_\_\_) outside of work hours.
Disable push notifications for YouTube, Twitter, Reddit, etc. Maybe consider
using alternative clients for those services that are more user-respecting in
general.

Religiously unsubscribe from everything that clutters up your inbox. If you
don't actively want to see it, unsubscribe from it or write a rule that marks it
as reads and immediately shoves it in your archive. Inboxes are for pertinent,
important information; the latest shoe sale at your preferred big-box store is
neither.

Get an [RSS reader!][rssr] Please!

[rssr]: https://wikipedia.org/wiki/News_aggregator

They allow you to subscribe to multiple sources of information — like news
websites, YouTube channels, blogs, etc. — and aggregate that content into one
place. You can read what you want when you want without having anything thrust
in your face by The Algorithm™. Depending on the reader, you can sort sources
into categories or folders that allow you to focus on one thing at a time rather
than being treated to a firehose of the internet.

If you're looking for a service, check out [Feedbin,][fb] [NewsBlur,][nb]
[Feeder,][feeder] [Feedly,][fdly] and [Inoreader.][ino] Be thoughtful about
enabling notifications though.

[fb]: https://feedbin.com
[nb]: https://newsblur.com
[feeder]: https://feeder.co
[fdly]: https://feedly.com
[ino]: https://www.inoreader.com

If you're into self-hosting, I highly recommend [yarr.][yarr] At the time of
writing, I've been using yarr for 6 months and don't see myself switching any
time soon. I only wish it had a maximum content width so reading was more
pleasant on wide screens and that [the theme would switch based on your system
theme.][yarr-theme]

[yarr]: https://github.com/nkanaev/yarr/
[yarr-theme]: https://github.com/nkanaev/yarr/issues/46#issuecomment-798896310

If you do adopt RSS, I strongly recommend migrating your _important_ newsletter
subscriptions to [_Kill the Newsletter!_][ktn] It generates an email, you
subscribe to the newsletter with that email address, and it appends each email
to a unique RSS feed generated just for you. At the time of writing, I receive 7
newsletters as RSS feeds and it's a pleasant experience.

[ktn]: https://kill-the-newsletter.com

[^1]:
    I've seen and heard 30 minutes cited many times from sources I remember
    trusting, but I can't remember exactly which sources they were. After a
    quick search, The Muse says [_It Takes Nearly 30 Minutes to Refocus After
    You Get
    Distracted._](https://www.themuse.com/advice/this-is-nuts-it-takes-nearly-30-minutes-to-refocus-after-you-get-distracted)
